#include<bits/stdc++.h>
using namespace std;
#define endl "\n"
void f(int n)
{
    int ans=0;
    for(int i=1; i*i*i<=n; i++)
    {
        for(int j=i; i*j*j<=n; j++)
        {
            if(n/(i*j)<j) break;
            if(n%(i*j)==0)
            {
                ans++;
            }
        }
    }
    cout<<ans;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    f(n);
    return 0;
}
